using System;

namespace prvikrug
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] k = Console.ReadLine().Split();
            int a1 = int.Parse(k[0]);
            int a2 = int.Parse(k[1]);
            int i = 0;
            if(Math.Abs(a2-a1)>=2)
                Console.WriteLine("nemoguce");
            else if (a1 > a2)
            {
                while (i < a1-1)
                {
                    i++;
                    Console.Write("{0}{1}", s[0], s[1]);
                }
                Console.Write(s[0]);
            }
            else if (a2 > a1)
            {
                while (i < a2 - 1)
                {
                    i++;
                    Console.Write("{0}{1}", s[1], s[0]);
                }
                Console.Write(s[1]);
            }
            else if (a2 == a1)
            {
                while (i < a2)
                {
                    i++;
                    Console.Write("{0}{1}", s[1], s[0]);
                }
                
            }
        }
    }
}